<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0"             rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/libupnp</a></li>
</ul>
</div><!-- table of contents -->
            <table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/libupnp <br/>
</div><!-- file-list -->

             <pre class="license-text">
Copyright (c) 2006 Alexander Chemeris
Copyright (c) 2000&ndash;2003 Intel Corporation
Copyright (c) 2012 France Telecom All rights reserved.
Copyright (C) 2011&ndash;2012 France Telecom All rights reserved.
Copyright (c) 1990&ndash; 1993, 1996 Open Software Foundation, Inc.
Copyright (c) 1989 by Hewlett&ndash;Packard Company, Palo Alto, Ca. &amp;
Copyright (c) 1998 Microsoft.
Copyright (C) 2012 France Telecom All rights reserved.
Copyright (c) 1996&ndash;1999 by Internet Software Consortium.
Copyright (c) 2006 Rémi Turboult &lt;r3mi@users.sourceforge.net&gt;


Copyright (c) 2006 Alexander Chemeris
Copyright (c) 2000&ndash;2003 Intel Corporation
Copyright (c) 2006 Rémi Turboult &lt;r3mi@users.sourceforge.net&gt;
Copyright (c) 2012 France Telecom All rights reserved.
Copyright 1998 Academia Sinica Computing Center
Copyright (c) 2000&ndash;2003 Intel Corporation &ndash; All Rights Reserved.
Copyright (c) 2005&ndash;2006 Rémi Turboult &lt;r3mi@users.sourceforge.net&gt;
Copyright (c) 2006 Michel Pfeiffer and others &lt;virtualworlds@gmx.de&gt;
Copyright (c) 2006 R?mi Turboult &lt;r3mi@users.sourceforge.net&gt;
Copyright (C) 1996&ndash;2015 Free Software Foundation, Inc.
Copyright (C) 2012 France Telecom All rights reserved.
Copyright (c) 1996&ndash;1999 by Internet Software Consortium.
Copyright (C) 2011&ndash;2012 France Telecom All rights reserved.
Copyright (c) 1990&ndash; 1993, 1996 Open Software Foundation, Inc.
Copyright (c) 1989 by Hewlett&ndash;Packard Company, Palo Alto, Ca. &amp;
Copyright (c) 1998 Microsoft.


Copyright (c) &lt;YEAR&gt;, &lt;OWNER&gt;
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



</table>
</body></html>
